using HostrelHeadwaiterApp.Models;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;

namespace HostrelHeadwaiterApp.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Register()
        {
            return View();
        }

        public IActionResult Enter()
        {
            return View();
        }

        public IActionResult Report()
        {
            return View();
        }

        public IActionResult BindingConferenceBindingAndConference()
        {
            return View();
        }

        public IActionResult FormationDinner()
        {
            return View();
        }

        public IActionResult ShapingDinnerIntoRooms()
        {
            return View();
        }

        public IActionResult FormationOfDinnerInConferenceBookings()
        {
            return View();

        }
        public IActionResult ListOfMealPlans()
        {
            return View();
        }



            [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}